Attribute VB_Name = "PDF_DXF"
Sub PDF_DXF()
    Dim oDrawDoc As DrawingDocument
    Set oDrawDoc = ThisApplication.ActiveDocument
    Dim oFilePath, lOffset, oFolder, oFilename, rOffset
    oFilePath = ThisApplication.ActiveDocument.FullFileName
    lOffset = InStrRev(oFilePath, "\")
    oFolder = Left$(oFilePath, lOffset - 1)
    oFilename = Mid(oFilePath, lOffset + 1)
    rOffset = Len(oFilename) - 4
    oFilename = Mid(oFilePath, lOffset + 1, rOffset)
    
    oRevision = oDrawDoc.PropertySets("{D5CDD505-2E9C-101B-9397-08002B2CF9AE}").Item("Revision").Value

    oSavePath = Environ("USERPROFILE") & "\Desktop\" & Date & "\"
    Set fs = CreateObject("Scripting.FileSystemObject")
    If fs.FolderExists(oSavePath) Then
        Call Export2DWG(oFilename, oSavePath, oRevision)
        Else: Set a = fs.CreateFolder(oSavePath)
    End If
    
    Call Export2DWG(oFilename, oSavePath, oRevision)
    
End Sub

Public Function Export2DWG(ByVal strFN As String, ByVal strFP As String, ByVal oRevision As String)

    Dim oApp As Application
    Set oApp = ThisApplication

    Dim oDoc As DrawingDocument
    Set oDoc = ThisApplication.ActiveDocument

    Dim bSaveAsCopyOptions As Boolean
    Dim oAppAddIns As ApplicationAddIns
    Dim oDataMedium As DataMedium
    Dim oDWGTransl As TranslatorAddIn
    Dim oTransObjs As TransientObjects
    Dim oTranslCntxt As TranslationContext
    Dim oNameValMap As NameValueMap
    Dim intIndex As Integer

    Set oAppAddIns = oApp.ApplicationAddIns


    For intIndex = 1 To oAppAddIns.Count
        If oAppAddIns(intIndex).ShortDisplayName = "Autodesk DXF-Translator" Then
            Set oDWGTransl = oAppAddIns.Item(intIndex)
            Exit For
        End If
    Next intIndex

    'Translation Objekte setzen

    Set oTransObjs = oApp.TransientObjects
    Set oNameValMap = oTransObjs.CreateNameValueMap
    Set oTranslCntxt = oTransObjs.CreateTranslationContext
    Set oDataMedium = oTransObjs.CreateDataMedium

    oTranslCntxt.Type = kFileBrowseIOMechanism

    bSaveAsCopyOptions = oDWGTransl.HasSaveCopyAsOptions(oDataMedium, oTranslCntxt, oNameValMap)
    
    If oRevision = "" Then
        oDataMedium.FileName = strFP & strFN & ".dxf"
    Else
        oDataMedium.FileName = strFP & strFN & "_" & oRevision & ".dxf"
    End If
    MsgBox (oDataMedium.FileName)

    'Hier Pfad und Dateiname angeben wo die .ini Datei sich befindet
    oNameValMap.Value("Export_Acad_IniFile") = "C:\myini.ini"

    Call oDWGTransl.SaveCopyAs(oDoc, oTranslCntxt, oNameValMap, oDataMedium)

    Set oAppAddIns = Nothing
    Set oDataMedium = Nothing
    Set oDWGTransl = Nothing
    Set oTransObjs = Nothing
    Set oTranslCntxt = Nothing
    Set oNameValMap = Nothing

End Function


